]> granicus.if.org Git - postgresql/commitdiff
I attach a patch for pg_upgrade. This does two things:
authorBruce Momjian <bruce@momjian.us>
Mon, 7 Jun 1999 22:58:31 +0000 (22:58 +0000)
committerBruce Momjian <bruce@momjian.us>
Mon, 7 Jun 1999 22:58:31 +0000 (22:58 +0000)
1. check whether the program is being executed in $PGDATA/..  This is
   necessary if the data tree is not in the standard place, as is the
   case with the Debian distribution (because of Debian policy).

2. give a clearer error message if the dumped data structure fails to
   be loaded.

Oliver Elphick

src/bin/pg_dump/pg_upgrade

index 22eff823256891aa76aaf4d8a9d2a1c6048515e8..e566a912ba6195e607f7b5e1235db49e9ffc35f2 100755 (executable)
@@ -29,8 +29,9 @@ OLDDIR="$1"
 
 # check things
 
-if [ ! -f "./lib/global1.bki.source" ]
-then   echo "$0 must be run from the top of the postgres directory tree." 1>&2
+if [ ! -f "./data/PG_VERSION" ]
+then   echo "`basename $0` must be run from the directory containing
+the database directory \`data' (`dirname $PGDATA`.)" 1>&2
        exit 1
 fi
 
@@ -72,7 +73,8 @@ cat $INPUT | awk '    {
 psql "template1" <"/tmp/$$"
 
 if [ $? -ne 0 ]
-then   echo "psql failed to execute $INPUT script." 1>&2
+then   echo "There were errors in the input script $INPUT.
+$0 aborted." 1>&2
        exit 1
 fi